Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:52 2009

## Asterisk developer's documentation

# sip_request Struct Reference

sip_request: The data grabbed from the UDP socket More...

## Data Fields

char | data [SIP_MAX_PACKET]
int | debug
unsigned int | flags
char * | header [SIP_MAX_HEADERS]
int | headers
int | len
char * | line [SIP_MAX_LINES]
int | lines
int | method
char * | rlPart1
char * | rlPart2
unsigned int | sdp_end
unsigned int | sdp_start

## Detailed Description

sip_request: The data grabbed from the UDP socket

Definition at line 453 of file chan_sip.c.

## Field Documentation

char data[SIP_MAX_PACKET]

Definition at line 462 of file chan_sip.c.

Referenced by add_blank_header(), add_header(), add_line(), init_req(), init_resp(), parse_copy(), parse_request(), process_sdp(), send_request(), send_response(), sip_hangup(), and sipsock_read().

int debug

Debug flag for this packet

Definition at line 463 of file chan_sip.c.

Referenced by handle_response().

unsigned int flags

SIP_PKT Flags for this packet

Definition at line 464 of file chan_sip.c.

char* header[SIP_MAX_HEADERS]

Definition at line 459 of file chan_sip.c.

Referenced by __get_header(), add_blank_header(), add_header(), copy_request(), determine_firstline_parts(), handle_request(), init_req(), init_resp(), and parse_request().

int headers

# of SIP Headers

Definition at line 457 of file chan_sip.c.

Referenced by __get_header(), add_blank_header(), add_header(), create_addr_from_peer(), handle_request(), handle_request_subscribe(), init_req(), init_resp(), parse_request(), sipsock_read(), transmit_invite(), transmit_notify_with_mwi(), transmit_notify_with_sipfrag(), transmit_register(), transmit_reinvite_with_sdp(), and transmit_sip_request().

int len

Length

Definition at line 456 of file chan_sip.c.

Referenced by add_blank_header(), add_header(), add_line(), add_sdp(), determine_firstline_parts(), handle_request_cancel(), init_req(), init_resp(), parse_copy(), send_request(), send_response(), and sipsock_read().

char* line[SIP_MAX_LINES]

Definition at line 461 of file chan_sip.c.

Referenced by add_line(), copy_request(), find_sdp(), get_body(), get_msg_text(), get_sdp(), get_sdp_iterate(), and parse_request().

int lines

Body Content

Definition at line 460 of file chan_sip.c.

Referenced by add_blank_header(), add_header(), add_line(), find_sdp(), get_body(), get_msg_text(), parse_request(), sipsock_read(), transmit_invite(), transmit_notify_with_mwi(), transmit_notify_with_sipfrag(), transmit_register(), transmit_reinvite_with_sdp(), and transmit_sip_request().

int method

Method of this request

Definition at line 458 of file chan_sip.c.

Referenced by find_call(), get_destination(), handle_request(), handle_request_subscribe(), init_req(), init_resp(), send_request(), send_response(), sipsock_read(), and transmit_invite().

char* rlPart1

SIP Method Name or "SIP/2.0" protocol version

Definition at line 454 of file chan_sip.c.

Referenced by copy_request(), determine_firstline_parts(), handle_request(), and sipsock_read().

char* rlPart2

The Request URI or Response Status

Definition at line 455 of file chan_sip.c.

Referenced by copy_request(), determine_firstline_parts(), get_destination(), handle_request(), reqprep(), and sipsock_read().

unsigned int sdp_end

the line number where the SDP ends

Definition at line 466 of file chan_sip.c.

Referenced by find_sdp().

unsigned int sdp_start

the line number where the SDP begins

Definition at line 465 of file chan_sip.c.

Referenced by find_sdp(), get_sdp(), and sdpLineNum_iterator_init().

The documentation for this struct was generated from the following file:

- chan_sip.c